org.apache.ignite.client

## Enum ClientOperationType

- java.lang.Object
- - java.lang.Enum<ClientOperationType>
  - - org.apache.ignite.client.ClientOperationType

- All Implemented Interfaces:
    Serializable, Comparable<ClientOperationType>

      public enum ClientOperationType
      extends Enum<ClientOperationType>

  Client operation type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATOMIC_LONG_CREATE` Get or create an AtomicLong (`IgniteClient.atomicLong(String, long, boolean)`, `IgniteClient.atomicLong(String, ClientAtomicConfiguration, long, boolean)`).
    `ATOMIC_LONG_EXISTS` Check if AtomicLong exists (`ClientAtomicLong.removed()`).
    `ATOMIC_LONG_REMOVE` Remove an AtomicLong (`ClientAtomicLong.close()`).
    `ATOMIC_LONG_VALUE_ADD_AND_GET` AtomicLong.addAndGet (includes `ClientAtomicLong.addAndGet(long)`, `ClientAtomicLong.incrementAndGet()`, `ClientAtomicLong.getAndIncrement()`, `ClientAtomicLong.getAndAdd(long)`, `ClientAtomicLong.decrementAndGet()`, `ClientAtomicLong.getAndDecrement()`).
    `ATOMIC_LONG_VALUE_COMPARE_AND_SET` AtomicLong.compareAndSet (`ClientAtomicLong.compareAndSet(long, long)`).
    `ATOMIC_LONG_VALUE_GET` AtomicLong.get (`ClientAtomicLong.get()`).
    `ATOMIC_LONG_VALUE_GET_AND_SET` AtomicLong.getAndSet (`ClientAtomicLong.getAndSet(long)`).
    `CACHE_CLEAR_EVERYTHING` Clear entire cache (`ClientCache.clear()`).
    `CACHE_CLEAR_MULTIPLE` Clear multiple cache entries (`ClientCache.clearAll(Set)`).
    `CACHE_CLEAR_ONE` Clear cache entry (`ClientCache.clear(Object)` ).
    `CACHE_CONTAINS_KEY` Determines if the cache contains a key (`ClientCache.containsKey(Object)`).
    `CACHE_CONTAINS_KEYS` Determines if the cache contains multiple keys (`ClientCache.containsKeys(java.util.Set<? extends K>)`).
    `CACHE_CREATE` Create cache (`IgniteClient.createCache(String)`, `IgniteClient.createCache(ClientCacheConfiguration)`).
    `CACHE_DESTROY` Destroy cache (`IgniteClient.destroyCache(String)`).
    `CACHE_GET` Get value from cache (`ClientCache.get(Object)`).
    `CACHE_GET_ALL` Get values from cache (`ClientCache.getAll(java.util.Set<? extends K>)`).
    `CACHE_GET_AND_PUT` Get and put (`ClientCache.getAndPut(Object, Object)`).
    `CACHE_GET_AND_PUT_IF_ABSENT` Get and put if absent (`ClientCache.getAndPutIfAbsent(Object, Object)`).
    `CACHE_GET_AND_REMOVE` Get and remove (`ClientCache.getAndRemove(Object)`).
    `CACHE_GET_AND_REPLACE` Get and replace (`ClientCache.getAndReplace(Object, Object)`).
    `CACHE_GET_CONFIGURATION` Get cache configuration (`ClientCache.getConfiguration()`).
    `CACHE_GET_NAMES` Get cache names (`IgniteClient.cacheNames()`).
    `CACHE_GET_OR_CREATE` Get or create cache (`IgniteClient.getOrCreateCache(String)`, `IgniteClient.getOrCreateCache(ClientCacheConfiguration)`).
    `CACHE_GET_SIZE` Get cache size (`ClientCache.size(org.apache.ignite.cache.CachePeekMode...)`).
    `CACHE_PUT` Put value to cache (`ClientCache.put(Object, Object)`).
    `CACHE_PUT_ALL` Put values to cache (`ClientCache.putAll(java.util.Map<? extends K, ? extends V>)`).
    `CACHE_PUT_IF_ABSENT` Put if absent (`ClientCache.putIfAbsent(Object, Object)`).
    `CACHE_REMOVE_EVERYTHING` Remove everything from cache (`ClientCache.removeAll()`).
    `CACHE_REMOVE_MULTIPLE` Remove entries from cache (`ClientCache.removeAll(Set)`).
    `CACHE_REMOVE_ONE` Remove entry from cache (`ClientCache.remove(Object)`, `ClientCache.remove(Object, Object)`).
    `CACHE_REPLACE` Replace cache value (`ClientCache.replace(Object, Object)`, `ClientCache.replace(Object, Object, Object)`).
    `CLUSTER_CHANGE_STATE` Change cluster state (`ClientCluster.state(ClusterState)`).
    `CLUSTER_CHANGE_WAL_STATE` Change cluster WAL state (`ClientCluster.enableWal(String)`, `ClientCluster.disableWal(String)`).
    `CLUSTER_GET_STATE` Get cluster state (`ClientCluster.state()`).
    `CLUSTER_GET_WAL_STATE` Get cluster WAL state (`ClientCluster.isWalEnabled(String)`).
    `CLUSTER_GROUP_GET_NODES` Get cluster nodes (`ClientClusterGroup.nodes()`).
    `COMPUTE_TASK_EXECUTE` Execute compute task (`ClientCompute.execute(String, Object)`).
    `QUERY_CONTINUOUS` Continuous query (`ClientCache.query(ContinuousQuery, ClientDisconnectListener)`).
    `QUERY_INDEX` Index query (`ClientCache.query(Query)`).
    `QUERY_SCAN` Scan query (`ClientCache.query(Query)`).
    `QUERY_SQL` SQL query (`ClientCache.query(SqlFieldsQuery)`).
    `SERVICE_GET_DESCRIPTOR` Get service descriptor (`ClientServices.serviceDescriptor(String)`).
    `SERVICE_GET_DESCRIPTORS` Get service descriptors (`ClientServices.serviceDescriptors()`).
    `SERVICE_INVOKE` Invoke service.
    `SET_CLEAR` IgniteSet.clear (`ClientIgniteSet.clear()`).
    `SET_EXISTS` Check if IgniteSet exists (`ClientIgniteSet.removed()`).
    `SET_GET_OR_CREATE` Create an IgniteSet (`IgniteClient.set(String, ClientCollectionConfiguration)`).
    `SET_ITERATOR` IgniteSet.iterator (`ClientIgniteSet.iterator()`, `ClientIgniteSet.toArray()`).
    `SET_REMOVE` Remove an IgniteSet (`ClientIgniteSet.close()`).
    `SET_SIZE` IgniteSet.size (`ClientIgniteSet.size()`).
    `SET_VALUE_ADD` IgniteSet.add (`ClientIgniteSet.add(Object)`).
    `SET_VALUE_ADD_ALL` IgniteSet.addAll (`ClientIgniteSet.addAll(Collection)`).
    `SET_VALUE_CONTAINS` IgniteSet.contains (`ClientIgniteSet.contains(Object)`).
    `SET_VALUE_CONTAINS_ALL` IgniteSet.containsAll (`ClientIgniteSet.containsAll(java.util.Collection<?>)`).
    `SET_VALUE_REMOVE` IgniteSet.remove (`ClientIgniteSet.remove(java.lang.Object)`).
    `SET_VALUE_REMOVE_ALL` IgniteSet.removeAll (`ClientIgniteSet.removeAll(java.util.Collection<?>)`).
    `SET_VALUE_RETAIN_ALL` IgniteSet.retainAll (`ClientIgniteSet.retainAll(java.util.Collection<?>)`).
    `TRANSACTION_START` Start transaction (`ClientTransactions.txStart()`).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientOperationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientOperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CACHE_CREATE

          public static final ClientOperationType CACHE_CREATE

      Create cache (`IgniteClient.createCache(String)`, `IgniteClient.createCache(ClientCacheConfiguration)`).

    - #### CACHE_GET_OR_CREATE

          public static final ClientOperationType CACHE_GET_OR_CREATE

      Get or create cache (`IgniteClient.getOrCreateCache(String)`, `IgniteClient.getOrCreateCache(ClientCacheConfiguration)`).

    - #### CACHE_GET_NAMES

          public static final ClientOperationType CACHE_GET_NAMES

      Get cache names (`IgniteClient.cacheNames()`).

    - #### CACHE_DESTROY

          public static final ClientOperationType CACHE_DESTROY

      Destroy cache (`IgniteClient.destroyCache(String)`).

    - #### CACHE_GET

          public static final ClientOperationType CACHE_GET

      Get value from cache (`ClientCache.get(Object)`).

    - #### CACHE_PUT

          public static final ClientOperationType CACHE_PUT

      Put value to cache (`ClientCache.put(Object, Object)`).

    - #### CACHE_CONTAINS_KEY

          public static final ClientOperationType CACHE_CONTAINS_KEY

      Determines if the cache contains a key (`ClientCache.containsKey(Object)`).

    - #### CACHE_CONTAINS_KEYS

          public static final ClientOperationType CACHE_CONTAINS_KEYS

      Determines if the cache contains multiple keys (`ClientCache.containsKeys(java.util.Set<? extends K>)`).

    - #### CACHE_GET_CONFIGURATION

          public static final ClientOperationType CACHE_GET_CONFIGURATION

      Get cache configuration (`ClientCache.getConfiguration()`).

    - #### CACHE_GET_SIZE

          public static final ClientOperationType CACHE_GET_SIZE

      Get cache size (`ClientCache.size(org.apache.ignite.cache.CachePeekMode...)`).

    - #### CACHE_PUT_ALL

          public static final ClientOperationType CACHE_PUT_ALL

      Put values to cache (`ClientCache.putAll(java.util.Map<? extends K, ? extends V>)`).

    - #### CACHE_GET_ALL

          public static final ClientOperationType CACHE_GET_ALL

      Get values from cache (`ClientCache.getAll(java.util.Set<? extends K>)`).

    - #### CACHE_REPLACE

          public static final ClientOperationType CACHE_REPLACE

      Replace cache value (`ClientCache.replace(Object, Object)`, `ClientCache.replace(Object, Object, Object)`).

    - #### CACHE_REMOVE_ONE

          public static final ClientOperationType CACHE_REMOVE_ONE

      Remove entry from cache (`ClientCache.remove(Object)`, `ClientCache.remove(Object, Object)`).

    - #### CACHE_REMOVE_MULTIPLE

          public static final ClientOperationType CACHE_REMOVE_MULTIPLE

      Remove entries from cache (`ClientCache.removeAll(Set)`).

    - #### CACHE_REMOVE_EVERYTHING

          public static final ClientOperationType CACHE_REMOVE_EVERYTHING

      Remove everything from cache (`ClientCache.removeAll()`).

    - #### CACHE_CLEAR_ONE

          public static final ClientOperationType CACHE_CLEAR_ONE

      Clear cache entry (`ClientCache.clear(Object)` ).

    - #### CACHE_CLEAR_MULTIPLE

          public static final ClientOperationType CACHE_CLEAR_MULTIPLE

      Clear multiple cache entries (`ClientCache.clearAll(Set)`).

    - #### CACHE_CLEAR_EVERYTHING

          public static final ClientOperationType CACHE_CLEAR_EVERYTHING

      Clear entire cache (`ClientCache.clear()`).

    - #### CACHE_GET_AND_PUT

          public static final ClientOperationType CACHE_GET_AND_PUT

      Get and put (`ClientCache.getAndPut(Object, Object)`).

    - #### CACHE_GET_AND_REMOVE

          public static final ClientOperationType CACHE_GET_AND_REMOVE

      Get and remove (`ClientCache.getAndRemove(Object)`).

    - #### CACHE_GET_AND_REPLACE

          public static final ClientOperationType CACHE_GET_AND_REPLACE

      Get and replace (`ClientCache.getAndReplace(Object, Object)`).

    - #### CACHE_PUT_IF_ABSENT

          public static final ClientOperationType CACHE_PUT_IF_ABSENT

      Put if absent (`ClientCache.putIfAbsent(Object, Object)`).

    - #### CACHE_GET_AND_PUT_IF_ABSENT

          public static final ClientOperationType CACHE_GET_AND_PUT_IF_ABSENT

      Get and put if absent (`ClientCache.getAndPutIfAbsent(Object, Object)`).

    - #### QUERY_SCAN

          public static final ClientOperationType QUERY_SCAN

      Scan query (`ClientCache.query(Query)`).

    - #### QUERY_SQL

          public static final ClientOperationType QUERY_SQL

      SQL query (`ClientCache.query(SqlFieldsQuery)`).

    - #### QUERY_CONTINUOUS

          public static final ClientOperationType QUERY_CONTINUOUS

      Continuous query (`ClientCache.query(ContinuousQuery, ClientDisconnectListener)`).

    - #### QUERY_INDEX

          public static final ClientOperationType QUERY_INDEX

      Index query (`ClientCache.query(Query)`).

    - #### TRANSACTION_START

          public static final ClientOperationType TRANSACTION_START

      Start transaction (`ClientTransactions.txStart()`).

    - #### CLUSTER_GET_STATE

          public static final ClientOperationType CLUSTER_GET_STATE

      Get cluster state (`ClientCluster.state()`).

    - #### CLUSTER_CHANGE_STATE

          public static final ClientOperationType CLUSTER_CHANGE_STATE

      Change cluster state (`ClientCluster.state(ClusterState)`).

    - #### CLUSTER_GET_WAL_STATE

          public static final ClientOperationType CLUSTER_GET_WAL_STATE

      Get cluster WAL state (`ClientCluster.isWalEnabled(String)`).

    - #### CLUSTER_CHANGE_WAL_STATE

          public static final ClientOperationType CLUSTER_CHANGE_WAL_STATE

      Change cluster WAL state (`ClientCluster.enableWal(String)`, `ClientCluster.disableWal(String)`).

    - #### CLUSTER_GROUP_GET_NODES

          public static final ClientOperationType CLUSTER_GROUP_GET_NODES

      Get cluster nodes (`ClientClusterGroup.nodes()`).

    - #### COMPUTE_TASK_EXECUTE

          public static final ClientOperationType COMPUTE_TASK_EXECUTE

      Execute compute task (`ClientCompute.execute(String, Object)`).

    - #### SERVICE_INVOKE

          public static final ClientOperationType SERVICE_INVOKE

      Invoke service.

    - #### SERVICE_GET_DESCRIPTORS

          public static final ClientOperationType SERVICE_GET_DESCRIPTORS

      Get service descriptors (`ClientServices.serviceDescriptors()`).

    - #### SERVICE_GET_DESCRIPTOR

          public static final ClientOperationType SERVICE_GET_DESCRIPTOR

      Get service descriptor (`ClientServices.serviceDescriptor(String)`).

    - #### ATOMIC_LONG_CREATE

          public static final ClientOperationType ATOMIC_LONG_CREATE

      Get or create an AtomicLong (`IgniteClient.atomicLong(String, long, boolean)`, `IgniteClient.atomicLong(String, ClientAtomicConfiguration, long, boolean)`).

    - #### ATOMIC_LONG_REMOVE

          public static final ClientOperationType ATOMIC_LONG_REMOVE

      Remove an AtomicLong (`ClientAtomicLong.close()`).

    - #### ATOMIC_LONG_EXISTS

          public static final ClientOperationType ATOMIC_LONG_EXISTS

      Check if AtomicLong exists (`ClientAtomicLong.removed()`).

    - #### ATOMIC_LONG_VALUE_GET

          public static final ClientOperationType ATOMIC_LONG_VALUE_GET

      AtomicLong.get (`ClientAtomicLong.get()`).

    - #### ATOMIC_LONG_VALUE_ADD_AND_GET

          public static final ClientOperationType ATOMIC_LONG_VALUE_ADD_AND_GET

      AtomicLong.addAndGet (includes `ClientAtomicLong.addAndGet(long)`, `ClientAtomicLong.incrementAndGet()`, `ClientAtomicLong.getAndIncrement()`, `ClientAtomicLong.getAndAdd(long)`, `ClientAtomicLong.decrementAndGet()`, `ClientAtomicLong.getAndDecrement()`).

    - #### ATOMIC_LONG_VALUE_GET_AND_SET

          public static final ClientOperationType ATOMIC_LONG_VALUE_GET_AND_SET

      AtomicLong.getAndSet (`ClientAtomicLong.getAndSet(long)`).

    - #### ATOMIC_LONG_VALUE_COMPARE_AND_SET

          public static final ClientOperationType ATOMIC_LONG_VALUE_COMPARE_AND_SET

      AtomicLong.compareAndSet (`ClientAtomicLong.compareAndSet(long, long)`).

    - #### SET_GET_OR_CREATE

          public static final ClientOperationType SET_GET_OR_CREATE

      Create an IgniteSet (`IgniteClient.set(String, ClientCollectionConfiguration)`).

    - #### SET_REMOVE

          public static final ClientOperationType SET_REMOVE

      Remove an IgniteSet (`ClientIgniteSet.close()`).

    - #### SET_EXISTS

          public static final ClientOperationType SET_EXISTS

      Check if IgniteSet exists (`ClientIgniteSet.removed()`).

    - #### SET_VALUE_ADD

          public static final ClientOperationType SET_VALUE_ADD

      IgniteSet.add (`ClientIgniteSet.add(Object)`).

    - #### SET_VALUE_ADD_ALL

          public static final ClientOperationType SET_VALUE_ADD_ALL

      IgniteSet.addAll (`ClientIgniteSet.addAll(Collection)`).

    - #### SET_VALUE_REMOVE

          public static final ClientOperationType SET_VALUE_REMOVE

      IgniteSet.remove (`ClientIgniteSet.remove(java.lang.Object)`).

    - #### SET_VALUE_REMOVE_ALL

          public static final ClientOperationType SET_VALUE_REMOVE_ALL

      IgniteSet.removeAll (`ClientIgniteSet.removeAll(java.util.Collection<?>)`).

    - #### SET_VALUE_CONTAINS

          public static final ClientOperationType SET_VALUE_CONTAINS

      IgniteSet.contains (`ClientIgniteSet.contains(Object)`).

    - #### SET_VALUE_CONTAINS_ALL

          public static final ClientOperationType SET_VALUE_CONTAINS_ALL

      IgniteSet.containsAll (`ClientIgniteSet.containsAll(java.util.Collection<?>)`).

    - #### SET_VALUE_RETAIN_ALL

          public static final ClientOperationType SET_VALUE_RETAIN_ALL

      IgniteSet.retainAll (`ClientIgniteSet.retainAll(java.util.Collection<?>)`).

    - #### SET_SIZE

          public static final ClientOperationType SET_SIZE

      IgniteSet.size (`ClientIgniteSet.size()`).

    - #### SET_CLEAR

          public static final ClientOperationType SET_CLEAR

      IgniteSet.clear (`ClientIgniteSet.clear()`).

    - #### SET_ITERATOR

          public static final ClientOperationType SET_ITERATOR

      IgniteSet.iterator (`ClientIgniteSet.iterator()`, `ClientIgniteSet.toArray()`).

  - ### Method Detail

    - #### values

          public static ClientOperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientOperationType c : ClientOperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientOperationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023